import React, { useEffect, useRef, useState } from 'react'

export default props => {
  const clsName = [
    props.className,
    props.active ? props.activeClass : false
  ].filter(Boolean).join(' ')

  const handleClick = e => {
    if (props.onClick) {
      props.onClick(e)
    }
  }

  return <text className={clsName} style={props.style} onClick={handleClick}>&#9733;</text>
}
